      SUBROUTINE TIMEIT(CMSGTM,DTIME)
C
C     timeit_cray
C
C CRAY version. Call to second is executed.
C 94.06.20 (PJF) add dtime to the formal parameters
C 95.06.19 (PJF) modified to suppress printing if CMSGTM='noprint'
C Copyright (C) 1993,1995 B.T. Draine and P.J. Flatau
C This code is covered by the GNU General Public License.
C***********************************************************************
C     .. Scalar Arguments ..
      CHARACTER CMSGTM* (*)
C     ..
C     .. Local Scalars ..
      REAL DTIME, OLDTIM
      CHARACTER CSTA*3, CMSGNM*70
C
C     ..
C
      save csta, time1
C     .. Data statements ..
      DATA CSTA/'ONE'/
C     ..
      IF(CSTA.EQ.'ONE')THEN
         CSTA='TWO'
         call second(time1)
      ELSEIF(CSTA.EQ.'TWO')THEN
         CSTA='ONE'
         CALL SECOND(TIME2)
         DTIME=TIME2-TIME1
         IF(CMSGTM(1:7).NE.'NOPRINT'.AND.CMSGTM(1:7).NE.'noprint')THEN
            WRITE(CMSGNM,FMT='(A,A)')' Timing results for: ',CMSGTM
            CALL WRIMSG('TIMEIT',CMSGNM)
            WRITE(CMSGNM,FMT='(G15.6, A)')DTIME,' CPU time (in secs) '
            CALL WRIMSG('TIMEIT',CMSGNM)
         ENDIF
      ENDIF
      RETURN
      END
